gnutls_pkcs11_delete_url(3)

NAME
gnutls_pkcs11_delete_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_delete_url(const char * object_url, unsigned int flags);

ARGUMENTS

const char * object_url
    The URL of the object to delete.

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will delete objects matching the given URL. Note that not all tokens support the delete operation.

RETURNS
On success, the number of objects deleted is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/